Library Version 18.1.40

DB_STREAM->size()
Prev | Chapter 13. External Files | Next

## DB_STREAM->size()

    #include <db.h>

    int
    DB_STREAM->size(DB_STREAM *dbs, db_off_t *size, u_int32_t flags);

The `DB_STREAM->size()` method returns the size of the external file in bytes.

Unless otherwise specified, the `DB_STREAM->size()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### size

The size parameter references memory into which the size of the external file is copied.

#### flags

The flags parameter must be set to 0.

### Errors

The `DB_STREAM->size()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_STREAM

### See Also

External Files and Related Methods

Prev | Up | Next
DB_STREAM->read() | Home | DB_STREAM->write()